Page MenuHomePhabricator

Show placeholders for label, description and alias
Closed, ResolvedPublic2 Story Points

Description

Motivation
We want to build an interface that supports editors as much as possible in making high quality edits. One part of this is encouraging users to fill yet empty fields.

Workflow
Given I am in edit mode of the termbox
When I see an entry field that does not contain any input
Then the entry field tells me what to put in there.

Figma file
here

Acceptance Criteria

  • If there is no contents to a field yet, placeholder texts are shown
    • Label field: enter a label
    • Description field: enter a description
    • Alias field: enter an alias . Keep in mind, that every newly created alias line should always show the placeholder again.
    • Show the placeholder text in the same position and definitions as entered text, only change the following things: color: to Base 30; font-style: italic
  • Hide placeholders once one or more characters are typed
  • Show placeholders if all characters of a field are deleted

Event Timeline

Lea_WMDE moved this task from Backlog to MVP tickets: In preparation on the Wikidata-Termbox board.
WMDE-leszek updated the task description. (Show Details)Feb 27 2019, 3:27 PM
WMDE-leszek updated the task description. (Show Details)Feb 27 2019, 3:29 PM
WMDE-leszek updated the task description. (Show Details)
WMDE-leszek updated the task description. (Show Details)Feb 27 2019, 3:35 PM
WMDE-leszek set the point value for this task to 2.Feb 27 2019, 3:39 PM
Pablo-WMDE added a subscriber: Pablo-WMDE.EditedFeb 27 2019, 3:41 PM

@Hanna_Petruschat_WMDE We seem to be missing the placeholder color. Thanks!

We just happened to find this again, realizing that placeholders are indeed not a task inside of T216987. Are we sure this is in the right place in "in preparation"?

Lea_WMDE triaged this task as Normal priority.Apr 10 2019, 10:13 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE renamed this task from Support users when editing an entry to Show placeholders for label, description and alias.Apr 10 2019, 10:15 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)
WMDE-leszek updated the task description. (Show Details)Apr 10 2019, 2:10 PM

Change 507249 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[wikibase/termbox@master] Introduce placerholder

https://gerrit.wikimedia.org/r/507249

Hide placeholders once one or more characters are typed

Interstingly, IE11 removes the placeholder as soon as the field is focused. I assume this is not something that needs us working around it as it is consistent with what the user is used to on her system.

Change 507249 merged by jenkins-bot:
[wikibase/termbox@master] Introduce placerholder

https://gerrit.wikimedia.org/r/507249

Change 507742 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] termbox: pin latest

https://gerrit.wikimedia.org/r/507742

Change 507742 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] termbox: pin latest

https://gerrit.wikimedia.org/r/507742

Lea_WMDE closed this task as Resolved.May 6 2019, 11:20 AM